summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-11-18 19:07:22 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2009-11-18 19:07:22 +0100
commit8eb4f82dbe53e5ff0a962df1f8478f2653197639 (patch)
tree9558afd4489fab9cf4ee340ee2f37b12a1ee8582
parent70ca73afb20cbe250503cc2ac51ccb883349ee85 (diff)
libpcap needs flex
patch from Joerg S., thanks
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 88fb7cbbc..50b10e0d6 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -65,6 +65,10 @@ if [[ -n $ADK_PACKAGE_GLIB ]]; then
NEED_PKGCONFIG="$NEED_PKGCONFIG glib"
fi
+if [[ -n $ADK_PACKAGE_LIBPCAP ]]; then
+ NEED_FLEX="$NEED_FLEX libpcap"
+fi
+
if [[ -n $NEED_GETTEXT ]]; then
if ! which xgettext >/dev/null 2>&1; then
@@ -148,6 +152,13 @@ if [[ -n $NEED_RPM ]]; then
fi
fi
+if [[ -n $NEED_FLEX ]]; then
+ if ! which flex >/dev/null 2>&1; then
+ echo >&2 You need flex to to use $NEED_FLEX package
+ out=1
+ fi
+fi
+
#if [[ -n $ADK_COMPILE_MYSQL && $OStype != Linux ]]; then
# echo >&2 mySQL does not build on non-GNU/Linux.
# out=1